Subject: Re: dlopen(0, RTLD_LAZY) doesn't work?
From: PsychoSphere <[email-masked]>
To: Robert Collins <[email-masked]>, Pavel Tsekov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 8 Feb 2002 03:58:05 -0800 (PST)

--- Robert Collins <[email-masked]>
wrote:
> 
> ===
> ----- Original Message -----
> From: "Pavel Tsekov" <[email-masked]>
> 
> > > I believe the __declspec(...) has a similar
> effect, in
> > > that it is ignored unless -shared is specified,
> or
> > > -mdll is used.
> >
> > Ok, I didn't know that, but hey ... you learn
> almost every day
> > something new :)
> Don't learn this one - it's incorrect. Linking with
> cygwin1.dll would
> fail if it were correct.

Wrong... declspec is ignored, as you will see if you
nm the exe produced.

> 
> > > Also, the dllimport directive is never used
> unless an
> > > import library is created and used, which is not
> the
> > > idea here.
> 
> Again, this is incorrect. The dllimport directive
> can be used when
> linking directly to a .dll, no importlibrary
> involved.

An import library is automatically produced as you
would see if you analyzed the sources!
 
If you could demonstrate your point using examples, I
would be convinced. I have linked the cygwin1.dll
without the declspec directives... furthermore, the
dll after having symbols striped cannot be used as a
substitute for an import library.

Stephano Mariani

__________________________________________________
Do You Yahoo!?
Send FREE Valentine eCards with Yahoo! Greetings!
http://greetings.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/